# List Payment Records

List all the Payment Records for a given merchant.

## Request

```curl
curl -G https://api.stripe.com/v1/payment_records \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  -d limit=2
```

### Response

```json
{
  "object": "list",
  "url": "/v1/payment_records",
  "has_more": true,
  "data": [
    {
      "id": "pr_5RV730PrHyAEi",
      "object": "payment_record",
      "amount_canceled": {
        "currency": "usd",
        "value": 0
      },
      "amount_failed": {
        "currency": "usd",
        "value": 0
      },
      "amount_guaranteed": {
        "currency": "usd",
        "value": 0
      },
      "amount_refunded": {
        "currency": "usd",
        "value": 0
      },
      "amount_requested": {
        "currency": "usd",
        "value": 1000
      },
      "created": 1730211363,
      "customer_details": null,
      "customer_presence": "on_session",
      "description": "computer software",
      "latest_payment_attempt_record": "par_1ArV730PrHyQuG",
      "livemode": true,
      "metadata": {},
      "payment_method_details": {
        "billing_details": null,
        "custom": {
          "display_name": "newpay",
          "type": "custom"
        },
        "payment_method": null,
        "type": "custom"
      },
      "processor_details": {
        "type": "custom",
        "custom": {
          "payment_reference": "npp2358872734k"
        }
      },
      "shipping_details": null
    }
  ]
}
```

## Parameters

- `created_after` (timestamp, optional)
  Only return Payment Records that were created after this unix timestamp.

- `created_before` (timestamp, optional)
  Only return Payment Records that were created before this unix timestamp.

- `ending_before` (string, optional)
  A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

- `limit` (integer, optional)
  A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

- `starting_after` (string, optional)
  A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

## Returns

A dictionary with a data property that contains an array of Payment Records.
